org.gradle.nativeplatform

## Interface NativeLibrarySpec

- All Superinterfaces:
    ComponentSpec, LibrarySpec, Named, NativeComponentSpec, PlatformAwareComponentSpec, TargetedNativeComponent

      @Incubating
      public interface NativeLibrarySpec
      extends LibrarySpec, NativeComponentSpec, TargetedNativeComponent

  Definition of a native library component that is to be built by Gradle.

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from interface org.gradle.api.Named

      `Named.Namer`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `NativeLibraryRequirement` | `getApi()` Converts this library to a native library requirement that uses the api library linkage.
    `NativeLibraryRequirement` | `getShared()` Converts this library to a native library requirement that uses the shared library variant.
    `NativeLibraryRequirement` | `getStatic()` Converts this library to a native library requirement that uses the static library variant.

    - ### Methods inherited from interface org.gradle.nativeplatform.NativeComponentSpec

      `getBaseName, getNativeBinaries, setBaseName`

    - ### Methods inherited from interface org.gradle.platform.base.ComponentSpec

      `getBinaries, getDisplayName, getProjectPath, getSource, source`

    - ### Methods inherited from interface org.gradle.api.Named

      `getName`

    - ### Methods inherited from interface org.gradle.nativeplatform.TargetedNativeComponent

      `targetBuildTypes, targetFlavors, targetPlatforms`

    - ### Methods inherited from interface org.gradle.platform.base.PlatformAwareComponentSpec

      `getTargetPlatforms, targetPlatform`

- - ### Method Detail

    - #### getShared

          NativeLibraryRequirement getShared()

      Converts this library to a native library requirement that uses the shared library variant. This is the default.

    - #### getStatic

          NativeLibraryRequirement getStatic()

      Converts this library to a native library requirement that uses the static library variant.

    - #### getApi

          NativeLibraryRequirement getApi()

      Converts this library to a native library requirement that uses the api library linkage.